Subject: bug#25246: 25.1.90; Buffer not responsible with overlay at buffer end.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Dec 2016 11:21:00 +0200

> Date: Fri, 23 Dec 2016 08:33:15 +0100
> From: "Stefan-W. Hahn" <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> > > It should be enough to provide some text to serve as buffer contents,
> > > and a Lisp function to put the overlay on that text, such that Emacs
> > > stops responding.
> > 
> > I think the OP already provided those.  Here's some elisp code to
> > reproduce the problem based on the description (some adjustment may be
> > needed depending on display width):
> 
> thanks for the programatically recipe. I will do it better next time.

It sounds like you provided that in your original report, but I didn't
understand it.  Sorry about that.

> Also I can confirm that with version from master branch, namely
> 
> @ origin/master origin/HEAD a978d300a3faf58ee6e94ba57f764ca99a9ec308
> Author:     Mark Oteiza <[email-masked]>
> AuthorDate: Thu Dec 22 19:09:01 2016 -0500
> 
> the problem has gone on both systems, Linux and Windows.
> 
> (Little odd ting is the blinking of the overlay, but it's ok.)

No, the problem is not gone in the master branch.  It's just that
master has a safety device, whereby we stop the infinite loop after a
few iterations.  Those iterations is that "blinking" you see.

I will look into this soon.  One thing I already saw: this is a very
old problem, I see it in Emacs 22.1.

Thanks.